---
title: WeakSet.prototype.has()
slug: Web/JavaScript/Reference/Global_Objects/WeakSet/has
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - WeakSet
---
<div>{{JSRef}}</div>

<p>The <strong><code>has()</code></strong> method returns a boolean indicating whether an object exists in a <code>WeakSet</code> or not.</p>

<div>{{EmbedInteractiveExample("pages/js/weakset-prototype-has.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>ws</var>.has(<var>value</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value</var></code></dt>
 <dd>Required. The object to test for presence in the <code>WeakSet</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>Boolean</dt>
 <dd>Returns <code>true</code> if an element with the specified value exists in the <code>WeakSet</code> object; otherwise <code>false</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_has_method">Using the has method</h3>

<pre class="brush: js notranslate">var ws = new WeakSet();
var obj = {};
ws.add(window);

mySet.has(window);  // returns true
mySet.has(obj);     // returns false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-weakset.prototype.has', 'WeakSet.prototype.has')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.WeakSet.has")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("WeakSet")}}</li>
 <li>{{jsxref("WeakSet.prototype.add()")}}</li>
 <li>{{jsxref("WeakSet.prototype.delete()")}}</li>
</ul>
